/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
var vetCores = ['#FF00FF' , '#7CFC00' , '#00CED1' , '#D8BFD8' , '#8A2BE2'];
var vetRGBA = ['rgba(255,0,255 , 0.2)' , 'rgba(124,252,0 , 0.2)' , 'rgba(0,206,209 , 0.2)' , 'rgba(216,191,216 , 0.2)' , 'rgba(138,43,226 , 0.2)'];
var numeroObjetosCompletos = 0;
var listaObjetos = [];
var canvas = document.getElementById('canvas');
var pincel = canvas.getContext('2d');
pincel.lineWidth = 2.5;

$(document).ready(function (){
    var id_imagem_segmentada = $('#id_imagem').text();
    console.log("id da imagem : " + id_imagem_segmentada);
    $.ajax({
        type: 'GET' ,
        dataType: 'json' ,
        url: 'http://localhost:8080/TCC/webresources/imagem/pontos/' +  id_imagem_segmentada,
        success: function (data, textStatus, jqXHR) {
            //console.log(data);
            var cor = 0;
            data.forEach(function (marcacao){
                //console.log(marcacao);
                var pontos = marcacao.pontos;
                marcaPontoLoad(pontos[0] , cor);
                var ponto_anterior = pontos[0];
                for(var c = 1 ; c < pontos.length ; c++){
                    marcaPontoLoad(pontos[c] , cor);
                    var ponto_atual = pontos[c];
                    ligaPontos(ponto_anterior , ponto_atual , cor);
                    ponto_anterior = ponto_atual;
                }
                fechaMarcacao(pontos , cor);
                coloriObjeto(marcacao , cor);
                cor++;
            });
        } 
    });
});
/*
$(document).ready(function (){
    var id_imagem = $('#id_imagem').text();
    $.ajax({
        type: 'GET' ,
        dataType: 'json' , 
        url: "http://localhost:8080/TCC/webresources/imagem/" + id_imagem ,
        success: function (data, textStatus, jqXHR) {
            console.log(data);
            $("#text_imagem").text(data.comentario);
            
        }
    });
});*/

function marcaPontoLoad(ponto , cor){
    pincel.fillStyle = vetCores[cor];
    pincel.beginPath();
    pincel.arc(ponto.eixoX , ponto.eixoY , 3.14 , 0 , 2 * 3.14);
    pincel.fill();
}

function ligaPontos(pontoIni , pontoFim , cor){
    pincel.strokeStyle = vetCores[cor];
    pincel.beginPath();
    pincel.moveTo(pontoIni.eixoX , pontoIni.eixoY);
    pincel.lineTo(pontoFim.eixoX , pontoFim.eixoY);
    pincel.stroke();
};

function fechaMarcacao (pontos , cor){
    ligaPontos(pontos[pontos.length - 1] , pontos[0] , cor);
}

function coloriObjeto(objeto , cor){
  pincel.fillStyle = vetRGBA[cor];
  pincel.beginPath();
  objeto.pontos.forEach(function(ponto){
    pincel.lineTo(ponto.eixoX , ponto.eixoY);
  });
  pincel.fill();
};