/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package modelos;

import java.io.Serializable;
import java.util.Date;
import java.util.Objects;

/**
 *
 * @author joaofelipelopes
 */
public class Exame implements Serializable{
    private long id;
    private Usuario usuarioUpload;
    private Projeto projeto;
    private TipoExame tipoExame;
    private ParteDoCorpo parteDoCorpo;
    private Date dataDeEnvio;
    private Paciente paciente;
    private int quantidade;
    private String local;
    private String nome;
    private String modalidade;
    private Date dataDoExame;
    private boolean anon = false;
    
/* -------------------------------- GETTERS --------------------------------- */

    public long getId() {
        return id;
    }

    public Usuario getUsuarioUpload() {
        return usuarioUpload;
    }

    public Projeto getProjeto() {
        return projeto;
    }

    public TipoExame getTipoExame() {
        return tipoExame;
    }

    public ParteDoCorpo getParteDoCorpo() {
        return parteDoCorpo;
    }

    public Date getDataDeEnvio() {
        return dataDeEnvio;
    }

    public Paciente getPaciente() {
        return paciente;
    }

    public int getQuantidade() {
        return quantidade;
    }

    public String getLocal() {
        return local;
    }

    public String getNome() {
        return nome;
    }

    public String getModalidade() {
        return modalidade;
    }

    public void setModalidade(String modalidade) {
        this.modalidade = modalidade;
    }

    public Date getDataDoExame() {
        return dataDoExame;
    }

    public void setDataDoExame(Date dataDoExame) {
        this.dataDoExame = dataDoExame;
    }
    
    
    
/* --------------------------------- SETTERS -------------------------------- */

    public void setId(long id) {
        this.id = id;
    }

    public void setUsuarioUpload(Usuario usuarioUpload) {
        this.usuarioUpload = usuarioUpload;
    }

    public void setProjeto(Projeto projeto) {
        this.projeto = projeto;
    }

    public void setTipoExame(TipoExame tipoExame) {
        this.tipoExame = tipoExame;
    }

    public void setParteDoCorpo(ParteDoCorpo parteDoCorpo) {
        this.parteDoCorpo = parteDoCorpo;
    }

    public void setDataDeEnvio(Date dataDeEnvio) {
        this.dataDeEnvio = dataDeEnvio;
    }

    public void setPaciente(Paciente paciente) {
        this.paciente = paciente;
    }

    public void setQuantidade(int quantidade) {
        this.quantidade = quantidade;
    }

    public void setLocal(String local) {
        this.local = local;
    }

    public void setNome(String nome) {
        this.nome = nome;
    }

    public boolean isAnon() {
        return anon;
    }

    public void setAnon(boolean anon) {
        this.anon = anon;
    }
    
    
    
/* ------------------------------ OUTROS METODOS ---------------------------- */

    @Override
    public String toString() {
        return "Exame{" + "id=" + id + ", usuarioUpload=" + usuarioUpload + ", projeto=" + projeto + ", tipoExame=" + tipoExame + ", parteDoCorpo=" + parteDoCorpo + ", dataDeEnvio=" + dataDeEnvio + ", paciente=" + paciente + ", quantidade=" + quantidade + ", local=" + local + ", nome=" + nome + '}';
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 53 * hash + (int) (this.id ^ (this.id >>> 32));
        hash = 53 * hash + Objects.hashCode(this.usuarioUpload);
        hash = 53 * hash + Objects.hashCode(this.projeto);
        hash = 53 * hash + Objects.hashCode(this.tipoExame);
        hash = 53 * hash + Objects.hashCode(this.parteDoCorpo);
        hash = 53 * hash + Objects.hashCode(this.dataDeEnvio);
        hash = 53 * hash + Objects.hashCode(this.paciente);
        hash = 53 * hash + this.quantidade;
        hash = 53 * hash + Objects.hashCode(this.local);
        hash = 53 * hash + Objects.hashCode(this.nome);
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Exame other = (Exame) obj;
        if (this.id != other.id) {
            return false;
        }
        return true;
    }
}
