/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package modelos;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.Serializable;
import java.util.Objects;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.primefaces.model.DefaultStreamedContent;
import org.primefaces.model.StreamedContent;

/**
 *
 * @author joaofelipelopes
 */
public class ImagemOriginal implements Serializable{
    private long id;
    private Exame exame;
    private String localImagem;
    private String localPng;
    private String nome;
    private int corte;
    
/* ------------------------------- GETTERS ---------------------------------- */

    public ImagemOriginal(){};
    public ImagemOriginal(long id){
        this.id = id;
    }
    
    public long getId() {
        return id;
    }

    public Exame getExame() {
        return exame;
    }

    public String getLocalImagem() {
        return localImagem;
    }

    public String getLocalPng() {
        return localPng;
    }

    public int getCorte() {
        return corte;
    }

    public String getNome() {
        return nome;
    }

    public void setNome(String nome) {
        this.nome = nome;
    }
    
    
    
/* ------------------------------------ SETTERS ----------------------------- */

    public void setId(long id) {
        this.id = id;
    }

    public void setExame(Exame exame) {
        this.exame = exame;
    }

    public void setLocalImagem(String localImagem) {
        this.localImagem = localImagem;
    }

    public void setLocalPng(String localPng) {
        this.localPng = localPng;
    }

    public void setCorte(int corte) {
        this.corte = corte;
    }
    
/* ------------------------------- OUTROS METODOS --------------------------- */

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 13 * hash + (int) (this.id ^ (this.id >>> 32));
        hash = 13 * hash + Objects.hashCode(this.exame);
        hash = 13 * hash + Objects.hashCode(this.localImagem);
        hash = 13 * hash + Objects.hashCode(this.localPng);
        hash = 13 * hash + this.corte;
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final ImagemOriginal other = (ImagemOriginal) obj;
        if (this.id != other.id) {
            return false;
        }
        return true;
    }    
}
