/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package modelos;

import java.io.Serializable;
import java.util.Date;
import java.util.Objects;

/**
 *
 * @author joaofelipelopes
 */
public class Paciente implements Serializable{
    private long id;
    private String idade;
    private String sexo;
    private Date dataNasc;
    
    public Paciente(long id){
        this.id = id;
    }

    public Paciente() {}
       
    
/* --------------------------------- GETTERS -------------------------------- */

    public long getId() {
        return id;
    }

 

    public Date getDataNasc() {
        return dataNasc;
    }

    public String getIdade() {
        return idade;
    }

    public void setIdade(String idade) {
        this.idade = idade;
    }

    public String getSexo() {
        return sexo;
    }

    public void setSexo(String sexo) {
        this.sexo = sexo;
    }
    
    
/* -------------------------------- SETTERS --------------------------------- */

    public void setId(long id) {
        this.id = id;
    }

    public void setDataNasc(Date dataNasc) {
        this.dataNasc = dataNasc;
    }
    
/* ------------------------------- OUTROS METODOS --------------------------- */

    @Override
    public String toString() {
        return "Paciente{" + "id=" + id + ", nome=" + ", dataNasc=" + dataNasc + '}';
    }

    @Override
    public int hashCode() {
        int hash = 3;
        hash = 19 * hash + (int) (this.id ^ (this.id >>> 32));
        hash = 19 * hash + Objects.hashCode(this.dataNasc);
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Paciente other = (Paciente) obj;
        if (this.id != other.id) {
            return false;
        }
   
        if (!Objects.equals(this.dataNasc, other.dataNasc)) {
            return false;
        }
        return true;
    }

    
}
