/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package servicoimpl;

import dao.ProjetoDAO;
import java.util.List;
import modelos.Projeto;
import modelos.Usuario;
import servico.ServicoProjeto;

/**
 *
 * @author DanielDruszcz
 */
public class ServicoProjetoImpl implements ServicoProjeto {

    @Override
    public Projeto cadastra(Projeto projeto) {
        ProjetoDAO dao = new ProjetoDAO();
        return dao.cadastra(projeto);
    }

    @Override
    public Projeto pega(Projeto projeto) {
       ProjetoDAO dao = new ProjetoDAO();
       return dao.pega(projeto);
    }

    @Override
    public List<Projeto> listaProjetosInvalidos() {
       ProjetoDAO dao = new ProjetoDAO();
       return dao.listaProjetosInvalidos();
    }

    @Override
    public List<Projeto> listaProjetosValidos(Usuario usuario) {
        ProjetoDAO dao = new ProjetoDAO();
       return dao.listaProjetosValidos(usuario);
    }

    @Override
    public Projeto ativa(Projeto projeto) {
        ProjetoDAO dao = new ProjetoDAO();
        return dao.ativa(projeto);
    }
    
    @Override
    public Projeto desativa(Projeto projeto) {
        ProjetoDAO dao = new ProjetoDAO();
        return dao.desativa(projeto);
    }

    @Override
    public List<Projeto> listaProjetosUsuario(Usuario usuario) {
        ProjetoDAO dao = new ProjetoDAO();
        return dao.listaProjetosUsuario(usuario);
    }

    @Override
    public List<Usuario> listaSolicitacoes(Projeto projeto) {
        ProjetoDAO dao = new ProjetoDAO();
        return dao.listaSolicitacoes(projeto);
    }

    @Override
    public Usuario ativaVinculo(Usuario usuario, Projeto projeto) {
        ProjetoDAO dao = new ProjetoDAO();
        return dao.ativaVinculo(usuario, projeto);
    }

    @Override
    public List<Usuario> listaUsuariosProjeto(Projeto projeto) {
       ProjetoDAO dao = new ProjetoDAO();
       return dao.listaUsuariosProjeto(projeto);
    }

    @Override
    public void remove(Projeto projeto) {
       ProjetoDAO dao = new ProjetoDAO();
       dao.remove(projeto);
    }

    @Override
    public void removeVinculo(Usuario usuario, Projeto projeto) {
       ProjetoDAO dao = new ProjetoDAO();
       dao.removeVinculo(usuario,projeto);
    }

    @Override
    public List<Projeto> listaProjetosGerais() {
       ProjetoDAO dao = new ProjetoDAO();
       return dao.listaProjetosGerais();
    }

    @Override
    public List<Projeto> consultaMod(Usuario usuario) {
       ProjetoDAO dao = new ProjetoDAO();
       return dao.consultaMod(usuario);
    }

    @Override
    public Projeto atualizaMod(Projeto projeto) {
       ProjetoDAO dao = new ProjetoDAO();
       return dao.atualizaMod(projeto);
    }
    
    @Override
    public Projeto reprova(Projeto projeto) {
       ProjetoDAO dao = new ProjetoDAO();
       return dao.reprova(projeto);
    }
    
    @Override
    public int contaUsers(Projeto projeto) {
       ProjetoDAO dao = new ProjetoDAO();
       return dao.contaUsers(projeto);
    }
    
    @Override
    public int contaExames(Projeto projeto) {
       ProjetoDAO dao = new ProjetoDAO();
       return dao.contaExames(projeto);
    }
    
}
