/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package web.beans;

import java.io.IOException;
import java.io.Serializable;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.faces.context.FacesContext;
import modelos.Exame;
import modelos.Usuario;
import servico.ServicoExame;
import servicoimpl.ServicoExameImpl;
import web.utilidades.SessionContext;

/**
 *
 * @author DanielDruszcz
 */
@ManagedBean(name = "exameU")
@ViewScoped
public class BeanExamesUsuario implements Serializable{
    
    private List<Exame> exames;
    
    @PostConstruct
    public void init(){
        ServicoExameImpl serv = new ServicoExameImpl();
        exames = serv.listaExamesUsuarios(((Usuario)SessionContext.getInstance().getAttribute("usuarioLogadoS")));
    }
    
    public void abreExame(Exame exame){
         FacesContext.getCurrentInstance().getExternalContext().getFlash().put("exam", exame);
         try {
             FacesContext.getCurrentInstance().getExternalContext()
                     .redirect("galeria.xhtml");
         } catch (IOException ex) {
          //   Logger.getLogger(BeanProjeto.getN).log(Level.SEVERE, null, ex);
         }
         
     }

    public List<Exame> getExames() {
        return exames;
    }

    public void setExames(List<Exame> exames) {
        this.exames = exames;
    }
    
    
    
}
