/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package web.beans;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.bean.ViewScoped;
import javax.faces.context.FacesContext;
import javax.servlet.ServletContext;
import modelos.Exame;
import modelos.ImagemOriginal;
import org.primefaces.model.DefaultStreamedContent;
import org.primefaces.model.StreamedContent;
import servicoimpl.ServicoImagemOriginalImpl;

/**
 *
 * @author DanielDruszcz
 */
@ManagedBean(name = "galeriaO")
@ViewScoped
public class BeanGaleriaOriginal implements Serializable {

    private Exame exame;
    private List<ImagemOriginal> referencias;
    private String selectedImg;
    private StreamedContent file;
    private String path;
    private ImagemOriginal imagem;

    @PostConstruct
    public void init() {
        try {
            if (FacesContext.getCurrentInstance().getExternalContext().getFlash()
                    .get("exam") != null) {
                exame = new Exame();
                exame = (((Exame) FacesContext.getCurrentInstance()
                        .getExternalContext().getFlash().get("exam")));
                ServicoImagemOriginalImpl serv = new ServicoImagemOriginalImpl();
                referencias = serv.listaImagensExame(exame);
            } else {
                try {
                    FacesContext.getCurrentInstance().getExternalContext()
                            .redirect("meusprojetos.xhtml");
                } catch (IOException ex) {
                    //   Logger.getLogger(BeanProjeto.getN).log(Level.SEVERE, null, ex);
                }
            }

        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public Exame getExame() {
        return exame;
    }

    public void setExame(Exame exame) {
        this.exame = exame;
    }

    public List<ImagemOriginal> getReferencias() {
        return referencias;
    }

    public void setReferencias(List<ImagemOriginal> referencias) {
        this.referencias = referencias;
    }

    public String getSelectedImg() {
        return selectedImg;
    }

    public void setSelectedImg(String selectedImg) {
        this.selectedImg = selectedImg;
    }

  
   
     public void abreImagem(ImagemOriginal imagem){
         FacesContext.getCurrentInstance().getExternalContext().getFlash().put("img", imagem);
         try {
             FacesContext.getCurrentInstance().getExternalContext()
                     .redirect("segmentacao.xhtml");
         } catch (IOException ex) {
         ex.printStackTrace();
         }
         
     }
     
      public void abreMarcacoes(ImagemOriginal imagem){
         FacesContext.getCurrentInstance().getExternalContext().getFlash().put("img", imagem);
         try {
             FacesContext.getCurrentInstance().getExternalContext()
                     .redirect("listamarcacoes.xhtml");
         } catch (IOException ex) {
         ex.printStackTrace();
         }
         
     }
     
     public void carregaDCM(ImagemOriginal imagem){
     this.imagem = imagem;
     }

    public StreamedContent getFile() {
        path = "C:\\XMedCon\\bin\\"+imagem.getLocalImagem();
        try {
        File f1 = new File(path);
            file = new DefaultStreamedContent(new FileInputStream(f1), f1.getName(), imagem.getNome());
        } catch (FileNotFoundException ex) {
            Logger.getLogger(BeanGaleriaOriginal.class.getName()).log(Level.SEVERE, null, ex);
        }
        return file;
    }

    public void setFile(StreamedContent file) {
        this.file = file;
    }

     
}
