/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package web.beans;

import java.io.IOException;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.faces.context.FacesContext;
import modelos.Projeto;
import modelos.Usuario;
import servicoimpl.ServicoProjetoImpl;
import web.utilidades.SessionContext;

/**
 *
 * @author DanielDruszcz
 */
@ViewScoped
@ManagedBean(name = "meusprojetos")
public class BeanListaProjetoUsuario implements Serializable{
     private List<Projeto> projetos;
     
    @PostConstruct
    public void init() {
        try{
        projetos = new ArrayList<Projeto>();
        ServicoProjetoImpl serv = new ServicoProjetoImpl();
        projetos = serv.listaProjetosUsuario(((Usuario)SessionContext.getInstance().getAttribute("usuarioLogadoS")));
        }catch (Exception e){
            e.printStackTrace();
        }
    }

    public List<Projeto> getProjetos() {
        return projetos;
    }

    public void setProjetos(List<Projeto> projetos) {
        this.projetos = projetos;
    }
    
    
    public void ver(Projeto projeto){
        FacesContext.getCurrentInstance().getExternalContext().getFlash().put("proj", projeto);
         try {
             FacesContext.getCurrentInstance().getExternalContext()
                     .redirect("projeto.xhtml");
         } catch (IOException ex) {
             Logger.getLogger(BeanListaProjetoUsuario.class.getName()).log(Level.SEVERE, null, ex);
         }
        
    }
    
    
}
