/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package web.beans;

import java.util.ArrayList;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.faces.context.FacesContext;
import modelos.Projeto;
import modelos.Usuario;
import servicoimpl.ServicoProjetoImpl;
import servicoimpl.ServicoUsuarioImpl;
import web.utilidades.SessionContext;

/**
 *
 * @author DanielDruszcz
 */
@ViewScoped
@ManagedBean
(name = "listap")
public class BeanListaProjetos {
    private List<Projeto> projetos;
    private Projeto selectedProj;
    @PostConstruct
    public void init() {
        try{
        selectedProj = new Projeto();
        projetos = new ArrayList<Projeto>();
        ServicoProjetoImpl serv = new ServicoProjetoImpl();
        projetos = serv.listaProjetosValidos(((Usuario)SessionContext.getInstance().getAttribute("usuarioLogadoS")));
        }catch (Exception e){
            e.printStackTrace();
        }
    }
    
    public void solicitar(Projeto projeto){
        ServicoUsuarioImpl serv = new ServicoUsuarioImpl();
        serv.vincularProjeto(((Usuario)SessionContext.getInstance().getAttribute("usuarioLogadoS")), projeto);
        projetos.remove(projeto);
        FacesContext.getCurrentInstance().addMessage(null, new FacesMessage(FacesMessage.SEVERITY_INFO, 
                                        "Solicitação realizada!", "Aguarde a avaliação do Moderador!"));
    }


    public List<Projeto> getProjetos() {
        return projetos;
    }

    public void setProjetos(List<Projeto> projetos) {
        this.projetos = projetos;
    }

    public Projeto getSelectedProj() {
        return selectedProj;
    }

    public void setSelectedProj(Projeto selectedProj) {
        this.selectedProj = selectedProj;
    }
    
}
