/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package web.beans;

import java.io.IOException;
import java.io.Serializable;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.faces.context.FacesContext;
import modelos.Exame;
import modelos.ImagemOriginal;
import modelos.ImagemSegmentada;
import modelos.Usuario;
import servicoimpl.ServicoExameImpl;
import servicoimpl.ServicoImagemMarcadaImpl;
import servicoimpl.ServicoImagemOriginalImpl;
import web.utilidades.SessionContext;

/**
 *
 * @author DanielDruszcz
 */
@ManagedBean(name = "imagemM")
@ViewScoped
public class BeanMarcacoesImagem implements Serializable{
    
    private List<ImagemSegmentada> imagens = null;
    private ImagemOriginal imagem;
    @PostConstruct
    public void init(){
        
         if (FacesContext.getCurrentInstance().getExternalContext().getFlash()
                    .get("img") != null) {
                imagem = new ImagemOriginal();
                imagem = (((ImagemOriginal) FacesContext.getCurrentInstance()
                        .getExternalContext().getFlash().get("img")));
                ServicoImagemMarcadaImpl serv = new ServicoImagemMarcadaImpl();
                imagens = serv.listaImagensMarcadas(imagem);
            } else {
                try {
                    FacesContext.getCurrentInstance().getExternalContext()
                            .redirect("meusprojetos.xhtml");
                } catch (IOException ex) {
                    //   Logger.getLogger(BeanProjeto.getN).log(Level.SEVERE, null, ex);
                }
            }
    }
    
      public void abreMarcacao(ImagemSegmentada imagem){
         FacesContext.getCurrentInstance().getExternalContext().getFlash().put("ims", imagem);
         try {
             FacesContext.getCurrentInstance().getExternalContext()
                     .redirect("imagemmarcada.xhtml");
         } catch (IOException ex) {
          //   Logger.getLogger(BeanProjeto.getN).log(Level.SEVERE, null, ex);
         }
         
     }

    public List<ImagemSegmentada> getImagens() {
        return imagens;
    }

    public void setImagens(List<ImagemSegmentada> imagens) {
        this.imagens = imagens;
    }

    public ImagemOriginal getImagem() {
        return imagem;
    }

    public void setImagem(ImagemOriginal imagem) {
        this.imagem = imagem;
    }
      
}
