/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package dao;

import java.util.List;
import modelos.TipoExame;
import org.junit.Test;
import static org.junit.Assert.*;
import org.junit.Before;

/**
 *
 * @author joaofelipe
 */
public class TipoExameDAOTest {
    private TipoExameDAO dao;
    private static TipoExame tipoExame;
    
    @Before
    public void initialize(){
        dao = new TipoExameDAO();
        tipoExame = new TipoExame();
        tipoExame.setNome("Exame do sono");
    }
    
    @Test
    public void crudTipoExame(){
        this.tipoExame = dao.cadastra(tipoExame);
        assertEquals(this.tipoExame , dao.pega(this.tipoExame));
        List<TipoExame> lista = dao.lista();
        assertEquals(lista.get(lista.size() - 1) , this.tipoExame);
        dao.remove(tipoExame);
    }
    
    @Test(expected = RuntimeException.class)
    public void cadastroDuplicado(){
        TipoExame tipo = new TipoExame();
        tipo.setNome("testeCadastro");
        try {
            tipo =  dao.cadastra(tipo);
            dao.cadastra(tipo);
        } catch (Exception e) {
            dao.remove(tipo);
            throw new RuntimeException();
        }
    }
    
    @Test(expected = RuntimeException.class)
    public void cadastroNulo(){
        dao.cadastra(new TipoExame());
    }
    
}
