/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package modelos;

import java.io.Serializable;
import java.util.Objects;

/**
 *
 * @author joaofelipelopes
 */
public class ParteDoCorpo implements Serializable{
    private long id;
    private String nome;
    
/* ----------------------------------- GETTERS ------------------------------ */

    public long getId() {
        return id;
    }

    public String getNome() {
        return nome;
    }
    
/* ----------------------------------- SETTERS ------------------------------ */

    public void setId(long id) {
        this.id = id;
    }

    public void setNome(String nome) {
        this.nome = nome;
    }
    
/* -------------------------------- OUTROS METODOS -------------------------- */

    @Override
    public String toString() {
        return "ParteDoCorpo{" + "id=" + id + ", nome=" + nome + '}';
    }

    @Override
    public int hashCode() {
        int hash = 5;
        hash = 43 * hash + (int) (this.id ^ (this.id >>> 32));
        hash = 43 * hash + Objects.hashCode(this.nome);
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final ParteDoCorpo other = (ParteDoCorpo) obj;
        if (this.id != other.id) {
            return false;
        }
        return true;
    }
    
}
