/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package servico;

import java.util.List;
import modelos.Projeto;
import modelos.Usuario;

/**
 *
 * @author DanielDruszcz
 */
public interface ServicoProjeto {
    
    public Projeto cadastra(Projeto projeto);
    public Projeto pega(Projeto projeto);
    public List<Projeto> listaProjetosInvalidos();
    public List<Projeto> listaProjetosValidos(Usuario usuario);
    public Projeto ativa(Projeto projeto);
    public Projeto desativa(Projeto projeto);
    public List<Projeto> listaProjetosUsuario(Usuario usuario);
    public List<Usuario> listaUsuariosProjeto(Projeto projeto);
    public List<Usuario> listaSolicitacoes(Projeto projeto);
    public Usuario ativaVinculo(Usuario usuario, Projeto projeto);
    public void remove(Projeto projeto);
    public void removeVinculo(Usuario usuario, Projeto projeto);
    public List<Projeto> listaProjetosGerais();
    public List<Projeto> consultaMod(Usuario usuario);
    public Projeto atualizaMod(Projeto projeto);
    public Projeto reprova(Projeto projeto);
    public int contaUsers(Projeto projeto);
    public int contaExames(Projeto projeto);
}
