/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package servicoimpl;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.util.HashMap;
import java.util.Map;
import servico.ServicoConversor;

/**
 *
 * @author DanielDruszcz
 */
public class ServicoConversorImpl implements ServicoConversor {

    static final String SEPARADOR = java.io.File.separator;
    static final String CAMINHO_MEDCON = "C:" + SEPARADOR + "XMedCon" + SEPARADOR + "bin";
    static final String CAMINHO_DE_ORIGEM = "C:" + SEPARADOR + "XMedCon" + SEPARADOR + "bin";
    static final String CAMINHO_DE_DESTINO = "C:" + SEPARADOR + "XMedCon" + SEPARADOR + "bin"
            +SEPARADOR+ "imgorig";

    @Override
    public Map<String,String> extraiArquivo(String nomeArquivo) {
        String[] cmds = {"cd " + CAMINHO_MEDCON,
            "medcon -f " + CAMINHO_DE_ORIGEM + SEPARADOR + nomeArquivo };
        try {
            ProcessBuilder builder;
            builder = new ProcessBuilder("cmd", "/c",
                    String.join("& ", cmds));
            Process p = builder.start();
            BufferedReader reader = new BufferedReader(new InputStreamReader(p.getInputStream()));
            Map<String,String> tLinha = new HashMap<String,String>();
            String linha;
            while ((linha = reader.readLine()) != null) {
               if (linha.contains("(0008,0020)")) {
                    String[] y = linha.split(":");
                    if (y[1].contains("]")) {
                        String[] x = y[1].split("]");
                        String final1 = x[0].replace("[", "");
                        tLinha.put("dataexame",final1);
                    } 
                } else if (linha.contains("(0008,0060)")) {
                    String[] y = linha.split(":");
                    if (y[1].contains("]")) {
                        String[] x = y[1].split("]");
                        String final1 = x[0].replace("[", "");
                        tLinha.put("modalidade",final1);
                    }
                } else if (linha.contains("(0008,0080)")) {
                    String[] y = linha.split(":");
                    if (y[1].contains("]")) {
                        String[] x = y[1].split("]");
                        String final1 = x[0].replace("[", "");
                        tLinha.put("local",final1);
                    } 
                } else if (linha.contains("(0010,0030)")) {
                    String[] y = linha.split(":");
                    if (y[1].contains("]")) {
                        String[] x = y[1].split("]");
                        String final1 = x[0].replace("[", "");
                        tLinha.put("datapaciente",final1);
                    } 
                } else if (linha.contains("(0010,0040)")) {
                    String[] y = linha.split(":");
                    if (y[1].contains("]")) {
                        String[] x = y[1].split("]");
                        String final1 = x[0].replace("[", "");
                         tLinha.put("sexopaciente",final1);
                    } 
                } else if (linha.contains("(0010,1010)")) {
                    String[] y = linha.split(":");
                    if (y[1].contains("]")) {
                        String[] x = y[1].split("]");
                        String final1 = x[0].replace("[", "");
                        tLinha.put("idadepaciente",final1);
                    } 
                }
               else if (linha.contains("(0020,1002)")) {
                    String[] y = linha.split(":");
                    if (y[1].contains("]")) {
                        String[] x = y[1].split("]");
                        String final1 = x[0].replace("[", "");
                        tLinha.put("slice",final1);
                    } 
                }
            }
            p.waitFor();
            p.destroyForcibly();
            return tLinha;
        } catch (Exception e) {
            System.out.println("Erro na execusão de linha de comando:" + e);
        }
        return null;
    }

    @Override
    public boolean executaConvertePNG(String nomeArquivo) {
        if(nomeArquivo.contains(".")){
            if(!nomeArquivo.contains(".dcm")){
                return false;
            }
        }
        String[] cmds = {"cd " + CAMINHO_MEDCON,
            "medcon -f " + CAMINHO_DE_ORIGEM + SEPARADOR + nomeArquivo
            + " -c png --output-name " + CAMINHO_DE_DESTINO + SEPARADOR + nomeArquivo};
        try {
            ProcessBuilder builder;
            builder = new ProcessBuilder("cmd", "/c",
                    String.join("& ", cmds));
            Process p = builder.start();
            p.waitFor();
            p.destroyForcibly();
            return true;
        } catch (Exception e) {
            System.out.println("Erro na execusão de linha de comando:" + e);
            return false;
        }
    }

    @Override
    public boolean geraSlice(String nomeArquivo) {
        String[] cmds = {"cd " + CAMINHO_MEDCON,
            "medcon -splits -c dicom -f " + CAMINHO_DE_ORIGEM + SEPARADOR + nomeArquivo
           };
        try {
            ProcessBuilder builder;
            builder = new ProcessBuilder("cmd", "/c",
                    String.join("& ", cmds));
            Process p = builder.start();
            p.waitFor();
            p.destroyForcibly();
             return true;
        }catch (Exception e){
            e.printStackTrace();
            return false;
        }
    }
    

    @Override
    public boolean anon(String nomeArquivo) {
       String[] cmds = {"cd " + CAMINHO_MEDCON,
            "medcon -anon -f " + CAMINHO_DE_ORIGEM + SEPARADOR + nomeArquivo +
           " -c dicom -o"};
        try {
            ProcessBuilder builder;
            builder = new ProcessBuilder("cmd", "/c",
                    String.join("& ", cmds));
            Process p = builder.start();
            p.waitFor();
            p.destroyForcibly();
             return true;
        }catch (Exception e){
            e.printStackTrace();
            return false;
        }
    }
}
