/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package web.beans;

import java.io.IOException;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import modelos.Instituicao;
import modelos.Projeto;
import modelos.Usuario;
import servicoimpl.ServicoInstituicaoImpl;
import servicoimpl.ServicoProjetoImpl;
import web.utilidades.JSFUtil;
import web.utilidades.SessionContext;
import web.utilidades.UsuarioLogado;

/**
 *
 * @author DanielDruszcz
 */
@ManagedBean(name = "projeto")
@ViewScoped
public class BeanCriarProjeto {
    
    private Projeto projeto;
    private List<Instituicao> instituicoes;
    
    @PostConstruct
    public void init(){
        projeto = new Projeto();
        instituicoes = new ArrayList<>();
        ServicoInstituicaoImpl serv = new ServicoInstituicaoImpl();
        instituicoes = serv.lista();
    }

    public Projeto getProjeto() {
        return projeto;
    }

    public void setProjeto(Projeto projeto) {
        this.projeto = projeto;
    }

    public List<Instituicao> getInstituicoes() {
        return instituicoes;
    }

    public void setInstituicoes(List<Instituicao> instituicoes) {
        this.instituicoes = instituicoes;
    }
    
    public void gerarSolicitacao() throws SQLException, IOException, ClassNotFoundException{
        try{  
        Usuario user = null;
        if (((Usuario)SessionContext.getInstance().getAttribute("usuarioLogadoS")) != null) {
            user = ((Usuario)SessionContext.getInstance().getAttribute("usuarioLogadoS"));
        }
         projeto.setModerador(user);
        
        ServicoProjetoImpl serv = new ServicoProjetoImpl();
        serv.cadastra(projeto);
        JSFUtil.addInfoMessage("Solicitação realizada com sucesso! Aguarde o administrador validar seu projeto!");
         projeto = new Projeto();
        }catch (Exception e){
          JSFUtil.addErrorMessage("Ocorreu um erro. Contate o analista responsável!");  
        }
    }     
}
