/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package web.beans;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.faces.context.FacesContext;
import modelos.Instituicao;
import servico.ServicoInstituicao;
import servicoimpl.ServicoInstituicaoImpl;

/**
 *
 * @author DanielDruszcz
 */
@ViewScoped
@ManagedBean (name = "instituicoes")
public class BeanInstituicoes implements Serializable{
    
    private List<Instituicao> instituicoes;
    private Instituicao novaInstituicao;
    
    @PostConstruct
    public void init(){
        instituicoes = new ArrayList<>();
        novaInstituicao = new Instituicao();
        ServicoInstituicaoImpl serv = new ServicoInstituicaoImpl();
        instituicoes = serv.lista();
    }
    
    public void cadastra(){
      ServicoInstituicaoImpl serv = new ServicoInstituicaoImpl();
      Instituicao nova = serv.cadastra(novaInstituicao);
      instituicoes.add(nova);
      FacesContext.getCurrentInstance().addMessage(null, new FacesMessage(FacesMessage.SEVERITY_INFO, 
                                        "Instituição cadastrada", "A nova instituição foi adicionada!"));
    }
    
    public void remove(Instituicao instituicao){
      ServicoInstituicaoImpl serv = new ServicoInstituicaoImpl();
      serv.remove(instituicao);
      instituicoes.remove(instituicao);
      FacesContext.getCurrentInstance().addMessage(null, new FacesMessage(FacesMessage.SEVERITY_INFO, 
                                        "Instituição removida", "A instituição foi removida com sucesso!"));
    }

    public List<Instituicao> getInstituicoes() {
        return instituicoes;
    }

    public void setInstituicoes(List<Instituicao> instituicoes) {
        this.instituicoes = instituicoes;
    }

    public Instituicao getNovaInstituicao() {
        return novaInstituicao;
    }

    public void setNovaInstituicao(Instituicao novaInstituicao) {
        this.novaInstituicao = novaInstituicao;
    }
    
    
    
}
