/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package web.beans;

import java.io.Serializable;
import javax.annotation.PostConstruct;
import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.faces.context.FacesContext;
import modelos.Usuario;
import servicoimpl.ServicoUsuarioImpl;
import web.utilidades.SessionContext;

/**
 *
 * @author DanielDruszcz
 */
@ViewScoped
@ManagedBean(name = "perfil")
public class BeanPerfil implements Serializable{
    
    private Usuario usuario;
    
    @PostConstruct
    public void init(){
        usuario = ((Usuario)SessionContext.getInstance().getAttribute("usuarioLogadoS"));
        usuario.setSenha(null);
    }

    public Usuario getUsuario() {
        return usuario;
    }

    public void setUsuario(Usuario usuario) {
        this.usuario = usuario;
    }
    
    public void atualizar(){
        try{
            ServicoUsuarioImpl serv = new ServicoUsuarioImpl();
            serv.edita(usuario);
              FacesContext.getCurrentInstance().addMessage(null, new FacesMessage(FacesMessage.SEVERITY_INFO, 
                                        "Senha editada!", "Sua senha foi editada com sucesso!"));
        }catch (Exception e){
            e.printStackTrace();
        }
        
    }
    
    
}
